<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 28/06/2011 *
 * ===================                          Last change: 28/06/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-cash_coupon.php                             *
 * -------------------------------------------------------------------- *
 * Short description : To cash a coupon                                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Einen Gutschein einloesen                        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addYouAreHereLink('member', __FILE__);

// Continue only if the proper extension is active (admins can always continue)
if ((!isExtensionActive('coupon')) && (!isAdmin())) {
	displayMessage(generateExtensionInactiveNotInstalledMessage('coupon'));
	return;
} // END - if

// Is the form sent?
if (isFormSent()) {
	// @TODO
} else {
	// Load form template
	loadTemplate('member_cash_coupon', false);
}

// [EOF]
?>
